rte_flow_indir_action_conf(3)

NAME
rte_flow_indir_action_conf

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t ingress:1
uint32_t egress:1
uint32_t transfer:1

Detailed Description

Specify indirect action object configuration

Definition at line 5045 of file rte_flow.h.

Field Documentation

  uint32_t ingress
Flow direction for the indirect action configuration.

Action should be valid at least for one flow direction, otherwise it is invalid for both ingress and egress rules. Action valid for rules applied to ingress traffic.

Definition at line 5053 of file rte_flow.h.

  uint32_t egress
Action valid for rules applied to egress traffic.

Definition at line 5055 of file rte_flow.h.

  uint32_t transfer
When set to 1, indicates that the action is valid for transfer traffic; otherwise, for non-transfer traffic.

Definition at line 5060 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.